Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2448 closed enhancement (fixed)

Remove mips/mongoose BSP

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: 5.1
Component: arch/mips Version: 4.11
Severity: normal Keywords: obsolete, BSP
Cc: Blocked By:
Blocking:

Description

Remove the m32r/m32rsim BSP per the instructions at ​https://devel.rtems.org/wiki/Developer/Removing_a_BSP

Rationale: This is a radiation hardened MIPS R3000 CPU that has only been used by a few missions. After discussions with various NASA and commercial engineers, we have learned that it is no longer considered an option for new missions and has not an option for a considerable length of time. The missions still underway (including New Horizons) are locked down on very old versions of their development infrastructure including hosts.

Change History (6)

comment:1 Changed on 11/03/15 at 19:28:02 by Joel Sherrill

Keywords: obsolete BSP added

comment:2 Changed on 12/14/15 at 16:31:23 by Aun-Ali Zaidi <admin@…>

In [changeset:"f39e173c47200d5638b7fd38b1548e30282d1484/rtems"]:

mips/genmongoosev: Remove

updates #2448.

comment:3 Changed on 02/26/16 at 15:43:03 by Aun-Ali Zaidi

Resolution: fixed
Status: newclosed

Closing...

comment:4 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on 10/10/17 at 06:57:52 by Sebastian Huber

Component: bspsarch/mips

comment:6 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.